clang-tools 6.0.0

Namespaces | Functions
Matchers.h File Reference
`#include "TypeTraits.h"`
`#include "clang/ASTMatchers/ASTMatchers.h"`
Include dependency graph for Matchers.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::matchers

## Functions
| clang::tidy::matchers::AST_MATCHER (BinaryOperator, isAssignmentOperator)
| clang::tidy::matchers::AST_MATCHER (BinaryOperator, isRelationalOperator)
| clang::tidy::matchers::AST_MATCHER (BinaryOperator, isEqualityOperator)
| clang::tidy::matchers::AST_MATCHER (BinaryOperator, isComparisonOperator)
| clang::tidy::matchers::AST_MATCHER (QualType, isExpensiveToCopy)
| clang::tidy::matchers::AST_MATCHER (RecordDecl, isTriviallyDefaultConstructible)
| clang::tidy::matchers::AST_MATCHER_FUNCTION (ast_matchers::TypeMatcher, isReferenceToConst)